package org.dromara.settlement.api.constant;

/**
 * 系统配置项
 * @author 张涛
 * @date 2021年1月20日
 */
public enum SystemConfig {
	/**
	 * 默认密码
	 */
	Default_Password("user.default.password"),
	/**
	 * 默认昵称
	 */
	Default_Nickname("user.default.nickname"),
	/**
	 * 默认头像
	 */
	Default_Avatar("user.default.avatar"),
	/**
	 * 客服电话
	 */
	Default_CustomerPhone("system.app.customerphone"),
	/**
	 * 教育备案
	 */
	Default_EducationRecord("system.app.educationrecord"),
	/**
	 * 安全等保
	 */
	Default_SafetyGuarantee("system.app.safetyguarantee");

	// 定义私有变量
	private String key;

	// 构造函数，枚举类型只能为私有
	private SystemConfig(String key) {
		this.key = key;
	}

	@Override
	public String toString() {
		return this.key;
	}

	public String getValue() {
		return this.key;
	}

	public enum StoreType {
		/**
		 * 七牛云存储
		 */
		Store_Qiniu("store.qiniu"),
		/**
		 * 本地存储
		 */
		Store_Local("store.local");

		// 定义私有变量
		private String key;

		// 构造函数，枚举类型只能为私有
		private StoreType(String key) {
			this.key = key;
		}

		@Override
		public String toString() {
			return this.key;
		}

		public String getValue() {
			return this.key;
		}

		public static StoreType valueOfs(String storeType){
			if (storeType.equals(Store_Qiniu.key)) {
				return Store_Qiniu;
			}else if (storeType.equals(Store_Local.key)) {
				return Store_Local;
			}
			return null;
		}
	}
}
